Package ru.bitel.bgbilling.modules.inet.server.runtime

# Class InetOptionRuntime

java.lang.Object
ru.bitel.bgbilling.modules.inet.server.runtime.InetOptionRuntime

public class InetOptionRuntime extends Object
Опция `InetOption` с подготовленным конфигом и дополнительными параметрами.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final ParameterMap`
  `config`
  Конфигурация опции без наследования параметров.
  `final Set<Integer>`
  `descendantIds`
  `final int`
  `id`
  Id опции.
  `final ParameterMap`
  `inheritedConfig`
  Конфигурация опции с наследованием параметров.
  `final int`
  `parentId`
  Id родительской опции.
  `final Set<Integer>`
  `replaceIds`
  Если у родительской опции не стоит режим "пересечение разрешено" (за исключением опций первого уровня), то здесь находятся id всех сиблингов.
  `final Set<Integer>`
  `siblingIds`
  `final String`
  `title`
  Название опции.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetOptionRuntime(int parentId, InetOption option, ParameterMap config, ParameterMap inheritedConfig, Set<Integer> siblingIds, Set<Integer> replaceIds)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InetOptionRuntime`
  `getParent()`
  Родительская опция
  `Map<String,String>`
  `getRealmPoolMap()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public final int id
    Id опции.

  - ### title

    public final String title
    Название опции.

  - ### parentId

    public final int parentId
    Id родительской опции.

  - ### config

    public final ParameterMap config
    Конфигурация опции без наследования параметров.

  - ### inheritedConfig

    public final ParameterMap inheritedConfig
    Конфигурация опции с наследованием параметров.

  - ### siblingIds

    public final Set<Integer> siblingIds

  - ### replaceIds

    public final Set<Integer> replaceIds
    Если у родительской опции не стоит режим "пересечение разрешено" (за исключением опций первого уровня), то здесь находятся id всех сиблингов.

  - ### descendantIds

    public final Set<Integer> descendantIds

- ## Constructor Details

  - ### InetOptionRuntime

    public InetOptionRuntime(int parentId, InetOption option, ParameterMap config, ParameterMap inheritedConfig, Set<Integer> siblingIds, Set<Integer> replaceIds)

- ## Method Details

  - ### getParent

    public InetOptionRuntime getParent()
    Родительская опция
    Returns:

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getRealmPoolMap

    public Map<String,String> getRealmPoolMap()